
namespace Todo.Core.Interfaces.Persistence;

public interface ITodoRepository
{
    Task<Entities.Todo> CreateTodoAsync(string title, string projectName);
    Task<IEnumerable<Entities.Todo>> GetTodosAsync();
    Task UpdateTodoStatus(string todoId, bool todoStatus);
    Task<IEnumerable<Entities.Todo>> GetNotDoneTodos();
    Task<Entities.Todo> GetTodoByIdAsync(string todoId);
    Task<Entities.Todo> UpdateTodoAsync(Entities.Todo todo);
}